<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_80453d7bea0d" . "dc48afe3e3c89" . "e0b8aec" => base64_decode("Tm9uLWV4aXN0a" . "W5nIHZhbGlkYX" . "Rpb24gbWV0aG9" . "kICc="), "_7eacce07e2449116" . "f62c9464710c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_aed8da0f19091214b78f8035" . "1048517c" => base64_decode("c3RybGV" . "u"), "_6edacb78bd55c5015af27c8ac1fcd9a" . "f" => base64_decode("bWV0aG9kX" . "2V4aXN0cw" . "=="), "_c06c961f393742ecfd52b72263ac9" . "470" => base64_decode("aW5" . "0dm" . "Fs"), "_19d1237a619f7b35ad6d" . "bebf025f17c8" => base64_decode("c3R" . "yY2" . "1w"), "_e608e5b5c4c34a67ba97ef84c1e161" . "99" => base64_decode("Jw=" . "="), "_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7eacce07e2" . "449116f62c9" . "464710c37f7"]) != $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4d707fab93bebb00bbe69e815" . "9697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6edacb78bd" . "55c5015af27" . "c8ac1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_80453d7bea0ddc48afe3e3c89e0b8" . "aec"] . $validate_method . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e608e5b5c4c" . "34a67ba97ef8" . "4c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aed8da0f1" . "9091214b78" . "f803510485" . "17c"]($value) && !$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_19d1237a619f7b35ad6dbebf0" . "25f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c06c961" . "f393742e" . "cfd52b72" . "263ac947" . "0"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f190912" . "14b78f803510485" . "17c"]($value);
    }
}